Subject: bug#45318: 28.0.50; mark-paragraph

From: Stefan Kangas <[email-masked]>
Date: Mon, 11 Oct 2021 05:15:33 -0700

unarchive 18847
reopen 18847
tags 18847 - patch
forcemerge 18847 45318
thanks

Stefan Kangas <[email-masked]> writes:

> Lars Ingebrigtsen <[email-masked]> writes:
>
>> "H. Dieter Wilhelm" <[email-masked]> writes:
>>
>>> Right, below is my suggestion, please have a look.
>>>
>>> Many thanks
>>>
>>>       Dieter
>>>
>>> PS: Please tell me if I can prepare patches in a better way or
>>>     format..
>>
>> The patch format looks good.  :-)
>>
>> However, this still doesn't quite restore how mark-paragraph works in
>> Emacs 27 -- it leaves point in other places than it was.
>>
>> So I've reverted the previous change for now, and I've added a test.
>> Could you have a look at the test
>>
>> cd check; make paragraphs-tests
>>
>> (it's the last one), and redo your original patch in a way that doesn't
>> break the behaviour as demonstrated by this test?
>
> That was 12 weeks ago.  Any news here?

It seems like Bug#18847 was fixed in a way that was lead to other
regressions.  That fix has since been reverted, so I'm reopening that
bug and merging this later bug with that one.